Notifications
In-app notifications and preferences
Get
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/notificationPreferences/get" \ -H "Content-Type: application/json" \ -d '{ "organizationSlug": "string" }'{}Update
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/notificationPreferences/update" \ -H "Content-Type: application/json" \ -d '{ "organizationSlug": "string" }'{}Delete
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/notifications/delete" \ -H "Content-Type: application/json" \ -d '{ "notificationId": "string", "organizationSlug": "string" }'{}Delete All
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/notifications/deleteAll" \ -H "Content-Type: application/json" \ -d '{ "organizationSlug": "string" }'{}Get Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/notifications/getMany" \ -H "Content-Type: application/json" \ -d '{ "organizationSlug": "string" }'{}Get Push Subscriptions
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/notifications/getPushSubscriptions" \ -H "Content-Type: application/json" \ -d '{ "organizationSlug": "string" }'{}Get Unread Count
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/notifications/getUnreadCount" \ -H "Content-Type: application/json" \ -d '{ "organizationSlug": "string" }'{}Mark All As Read
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/notifications/markAllAsRead" \ -H "Content-Type: application/json" \ -d '{ "organizationSlug": "string" }'{}Mark As Read
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/notifications/markAsRead" \ -H "Content-Type: application/json" \ -d '{ "notificationId": "string", "organizationSlug": "string" }'{}Mark As Unread
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/notifications/markAsUnread" \ -H "Content-Type: application/json" \ -d '{ "notificationId": "string", "organizationSlug": "string" }'{}Subscribe Push
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/notifications/subscribePush" \ -H "Content-Type: application/json" \ -d '{ "auth": "string", "endpoint": "http://example.com", "organizationSlug": "string", "p256dh": "string" }'{}Unsubscribe Push
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/notifications/unsubscribePush" \ -H "Content-Type: application/json" \ -d '{}'{}